#!/usr/bin/python3

#
# This file is a part of the NsCDE - Not so Common Desktop Environment
# Author: Hegel3DReloaded
# Licence: GPLv3
#

import sys
import os.path
import xdg.IconTheme
import xdg.Locale
from xdg.DesktopEntry import *
import xdg.BaseDirectory as basedir

for finditem in basedir.xdg_data_dirs:
   possible = finditem + "/applications/" + sys.argv[2] + ".desktop"
   if os.path.exists(possible):
      entry = DesktopEntry(filename=possible)
      # print (entry)
      # print (possible)
      icon = entry.getIcon()
      comment = entry.getComment()
      execln = entry.getExec()
      iconpath = xdg.IconTheme.getIconPath(icon, int(sys.argv[1]), "NsCDE", ["png", "xpm", "svg"])
      print (iconpath)
      # print (comment)
      # print (execln)
      break

